package com.yc.ship.module.marketing.enums.coupon;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@RequiredArgsConstructor
@Getter
public enum CouponReceiveStateEnum  implements IntArrayValuable {


    RECEIVE_NO(0, "未领取"),

    RECEIVE_YES(1, "已领取"),

    ;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CouponReceiveStateEnum::getType).toArray();
    private final Integer type;
    private final String name;
    @Override
    public int[] array() {
        return ARRAYS;
    }
}
